at.chipkarte.client.elgaad.soap

## Class DokumentReferenz

- Object
- - at.chipkarte.client.elgaad.soap.DokumentReferenz

-     public class DokumentReferenz
      extends Object

  Daten der Referenz auf ein anderes Dokument.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DokumentReferenz()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getIdQuelldokument()` Id des referenzierten Dokuments.
    `Code` | `getKlassifikation()` Klassifikation.
    `Id` | `getSetId()` Id des Dokuments.
    `String` | `getText()` Text.
    `String` | `getVersionsnummer()` Versionsnummer.
    `void` | `setIdQuelldokument(Id idQuelldokument)`
    `void` | `setKlassifikation(Code klassifikation)`
    `void` | `setSetId(Id setId)`
    `void` | `setText(String text)`
    `void` | `setVersionsnummer(String versionsnummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DokumentReferenz

          public DokumentReferenz()

  - ### Method Detail

    - #### getIdQuelldokument

          public Id getIdQuelldokument()

      Id des referenzierten Dokuments. Siehe `Id`.
      Angabe: Muss.
      Returns:
        Id des Quelldokuments.

    - #### setIdQuelldokument

          public void setIdQuelldokument(Id idQuelldokument)

    - #### getKlassifikation

          public Code getKlassifikation()

      Klassifikation. Siehe `Code`.
      Angabe: Muss.
      Format: Falls es sich um ein CDA-Dokument handelt ist der Wert von ClinicalDocument/setId zu verwenden.
      Returns:
        Klassifikation.

    - #### setKlassifikation

          public void setKlassifikation(Code klassifikation)

    - #### getSetId

          public Id getSetId()

      Id des Dokuments. Siehe `Id`.
      Angabe: Muss.
      Format: Falls es sich um ein CDA-Dokument handelt ist der Wert von ClinicalDocument/versionNumber zu verwenden.
      Returns:
        Id.

    - #### setSetId

          public void setSetId(Id setId)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Versionsnummer.
      Angabe: Muss.
      Format: Falls es sich um ein CDA-Dokument handelt ist der Wert von ClinicalDocument/versionNumber zu verwenden.
      Returns:
        Versionsnummer.

    - #### setVersionsnummer

          public void setVersionsnummer(String versionsnummer)

    - #### getText

          public String getText()

      Text.
      Angabe: Muss.
      Returns:
        Text.

    - #### setText

          public void setText(String text)